Bug 150293 - Same static IP network on both wired and wireless prevents routing on wireless.
Same static IP network on both wired and wireless prevents routing on wireless.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2005-03-04 06:09 EST by linux user
Modified: 2008-02-06 19:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 19:23:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description linux user 2005-03-04 06:09:54 EST
Description of problem:
When both wired and wireless networks have static IP, and both IP
networks are the same number, and wired is not connected, system
attempts to route all gateway traffic via the wired adapter (eth0). If
wired adapter is down (ifdown eth0) then no external networks are
reachable -- the wireless connection is then useless except for local
traffic, even though the static IP config for the wireless adapter
clearly shows the default gateway listed correctly.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:

1. Starting with a fresh FC3 install on a laptop with centrino
wireless, configure the wired network card eth0 with a static IP
address, DNS, and gateway.

2. Verify connection to internet on wired interface (download wireless
drivers/firmware if needed). Then disconnect the wire and reboot.

3. Then install wireless centrino drivers and configure that interface
(eth1) as a static address on the same network (e.g. if the IP for
eth0 was 192.168.1.3/24 then make this one 192.168.1.4/24). Enter the
same gateway and DNS info as for the wired interface. Activate eth1,
reboot if necessary.

4. At this point you will not be able to ping the router unless eth0
is down.  Entering ifdown eth0 and then a ping will respond, but now
there is no route to other networks.
  
Actual results:  Can connect to all local systems, no routing through
gateway.


Expected results: Expected normal routing.


Additional info: Type "route" in a terminal and you will see there is
no route to other networks.
Comment 1 linux user 2005-03-06 10:41:22 EST
Sorry, my 1st submit was to NetworkManager, should have been listed as
system-config-network.
Comment 2 Matthew Miller 2006-07-10 17:53:02 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 petrosyan 2008-02-06 19:23:27 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.

Note You need to log in before you can comment on or make changes to this bug.